<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small" >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.year' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.decisionDay' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.documentNumber' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.decisionLevel' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.rewardTitle' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.rewardForm' | translate}}</th>
      
      <th scope="col" class="text-nowrap">{{'selfService.table.effectiveDate' | translate}}</th>

      <th scope="col" class="text-nowrap">{{'selfService.table.reason' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.signer' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.signerPosition' | translate}}</th>

    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.year }}</td>
      <td class="text-nowrap">{{ data?.signedDate }}</td>
      <td class="text-nowrap">{{ data?.documentNumber}}</td>
      <td class="text-nowrap">{{ data?.decisionLevelName }}</td>
      <td class="text-nowrap">{{ data?.methodName}}</td>
      <td class="text-nowrap">{{ data?.titleName}}</td>            
      <td class="text-nowrap">{{ data?.fromDate}}</td>

      <td class="text-nowrap">{{ data?.reason}}</td>
      <td class="text-nowrap">{{ data?.signer}}</td>
      <td class="text-nowrap">{{ data?.signerPosition}}</td>

    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

